# Smart Contract Front End

This project will connect local blockchain, will call ```Metamask``` Google Chrome Exntension to fund the Smart Contract.

## Import
```
https://docs.ethers.org/v5/getting-started/

https://github.com/ethers-io/ethers.js/releases

esm - support module
umd - follow UMD pattern (Universal Module Definition)
```

Test localhost hardhat node
* ```yarn hardhat node``` -> get private key
* ```yarn hardhat deploy``` -> get smart contract address
* Ensure ABI updated -> ./artifacts/contracts/FundMe.sol/FundMe.json -> Only abi object
* Ensure Metamask Added localhost network
    * Setting -> Networks -> Add a network
    * RPC URL from VS code: http://127.0.0.1:8545/
    * Default Hardhat node Chain ID from VS code: 31337
    * Currency Symbol ETH (Or Any)
* MetaMark add account via private key
* Connect With the added account
* MetaMask Prompt Error - Reset account
    * Due to localhost hardhat node restarted, nonce start from 0 again

